# Как внести свой вклад в OpenEBS

Прекрасно!! Мы всегда в поисках людей, которые могут улучшить OpenEBS. Вы можете начать с [обзора](./contribute/design/README.md)

В первую очередь, если вы не уверены в чем-то, или побаиваетесь, все равно, задайте вопрос или же откройте issue или отправьте pull request. Вы не подвергнетесь критики за приложенные усилия. Худшее, что может произойти - вас вежливо попросят что-то изменить. Мы ценим любой вклад и не хотим создавать огромный список правил на пути к этому.

Тем не менее, те, кто хочет получить более подробные рекомендации о том, как лучше всего внести свой вклад в проект, читайте дальше. Этот документ описывает все места, которые мы проверяем в ваших пулл реквестах, и увеличивает ваши шансы на быстрый мерж ваших изменений.

Тем не менее, OpenEBS - это инновация в  Open Source. Вы можете внести свой вклад любым возможным способом, и вся помощь, оказанная нам, очень ценится. 

- [Открытие issue по запросу нового функционала, фикса документации или багов](#открытие-issue)
- [Предложение улучшений документации](#улучшение-документации) 
- [Предложение нового функционала](#предложения-нового-функционала)
- [Решение сушествуюших проблем в документации или коде](#контрибьюшен-в-исходный-код-и-фикс-багов)

Вот несколько простых руководств, которым нужно следовать перед тем, как отправить свой код. 

## Открытие issue

Открывая новый issue, проверьте, что вы указали:
- Условия проверки задачи должны быть заполнены, как указано в шаблонах, чтобы проверяющему было более ясен механизм проверки
- Сценарий, при котором произошло issue (или понятный способ воспроизведения).
- Ошибки и логи, которые были отображены.
- Другие детали, которые могут быть полезны.

## Улучшение документации

Поддерживать документацию всегда сложно! Просмотрите эту [страницу](./contribute/CONTRIBUTING-TO-DEVELOPER-DOC.md) для более подробной информации как вы можете улучшить документацию для разработки, открыв пулл реквест с нужным тегом. Вот [список тегов](./contribute/labels-of-issues.md) которые могут быть использованы. Помогите нам содержать документацию в чистоте, легкой и доступной для понимания.

## Предложения нового функционала

Всегда есть что-то еще, что нужно, для удовлетворения ваших задач. Не стесняйтесь присоединиться к обсуждению новых функций или создать pull request с предложенным изменением. 

- [присоединяйтесь к нашему сообществу](https://openebs.org/community).
  - Уже зарегистрированы? Присоединяйтесь к нашим обсуждениям в [# openebs-users](https://openebs-community.slack.com/messages/openebs-users/).

## Контрибьюшен в исходный код и фикс багов

Предоставляйте  пулл реквесты с подходящими тегами для баг фиксов или улучшений исходного кода.  Список тегов которые могут быть использованы есть [тут](./contribute/labels-of-issues.md).

* Для контрибьюта в K8s demo, просмотрите этот [документ](./contribute/CONTRIBUTING-TO-K8S-DEMO.md).
	- Для информации как OpenEBS работает с K8s, просмотрите этот [документ](./k8s/README.md) 
-  Для контрибьюта  в Kubernetes OpenEBS Provisioner, просмотрите этот [документ](./contribute/CONTRIBUTING-TO-KUBERNETES-OPENEBS-PROVISIONER.md).
	
Для информации о структуре кода и руководствах которым нужно следовать, просмотрите [этот документ](./contribute/design/code-structuring.md).

## Решение существующих задач
Просмотрите [issues](https://github.com/openebs/openebs/issues) дабы найти задачи где нужна помощь от участников. Посмотрите наше [руководство по меткам](./contribute/labels-of-issues.md) поможет вам найти задачи, которые вы сможете решить быстрее.

Любой желающий внести свой вклад может взять задачу, попросив об этом в комментариях / назначив свой Github ID к задаче. Если в течении недели нет пулл реквеста или же каких-то обновлений о прогрессе, задача считается открытой вновь и ее может взять в работу кто угодно. В случае высокоприоритетных задач / багов обновление о статусе / прогрессе может быть нужно каждый день или два. 

---
### Подпишите свою работу

Мы используем Developer Certificate of Origin (DCO) как дополнительную защиту для OpenEBS. Это грамотно разработанный и широкоиспользуемый механизм, позволяющий участникам подтверждать права на участие в проекте по лицензии. Пожалуйста, прочтите [developer-certificate-of-origin](./contribute/developer-certificate-of-origin).

Если вы согласны на подпись, просто добавьте одну строку к каждому commit message:

````
  Signed-off-by: Random J Developer <random@developer.example.org>
````
или используйте команду `git commit -s -m "commit message comes here"` дабы подписать коммит сразу.

Используйте настоящие имя и фамилию (увы, никаких анонимов или ников). Если вы установите свои `user.name` и `user.email` в конфиге git'a , вы сможете автоматически подписать коммиты с  `git commit -s`. Вы также можете использовать  [алиасы](https://git-scm.com/book/en/v2/Git-Basics-Git-Aliases) такие как `git config --global alias.ci 'commit -s'`. Теперь вы можете сделать коммит с  `git ci` и он будет подписан.

---

## Присоединяйтесь к коммьюнити!

Если вы хотите активно развивать и вносить свой вклад в OpenEBS коммьюнити, просмотрите этот [документ](./community/README.md).
